## shapelib 1.2.10

=== debian/changelog ===
shapelib (1.2.10-7) unstable; urgency=low

  * Team Upload
  * Remove patch 0001 (Disable proj_api.h include), this was never used
  * Apply patch from Simon Ruderich to use all hardening flags
    (Closes: #672465)

 -- Arto Jantunen <viiru@debian.org>  Sun, 03 Jun 2012 12:01:04 +0300

shapelib (1.2.10-6) unstable; urgency=low

  * Team Upload
  * Update to the dh tool (and debhelper compat 9)
  * Stop distributing libtool .la file
  * Enable multiarch (Closes: #670632)
  * Update Standards-Version, no (further) changes
  * Add section to the source package (thanks lintian)
  * Modify short description to not start with an article (thanks lintian)
  * Add Vcs-* fields to debian/control
  * Convert to source-format 3.0 (quilt)
  * Update libtool patch to fully use system libtool without any kludges
    (Closes: #316945)
  * Add patch to dynamically link the shp* binaries to libshp
  * Add patch to stop setting CFLAGS in the Makefile, allowing debhelper
    to set it instead

 -- Arto Jantunen <viiru@debian.org>  Tue, 08 May 2012 22:59:51 +0300

shapelib (1.2.10-5) unstable; urgency=low

  * Long due upload.
  * Maintainership moved to DebianGis team. Thanks Noèl.
  * Policy changed to 3.8.3.
  * Debhelper level set to 7.
  * debian/rules revised to use dh_install and dh_prep.
  * debian/control now has better descriptions.
  * debian/control variables changed to 3.7+ versions.
  * debian/watch revised.
    (closes: #539342)
  * Fixed debian/changelog typo.
  * Added copyright notice in debian/control.
  * Removed obsolete (?) man2html build-dep.
  * Ack previous couple of NMUs, as merged.
    (closes: #553256, #497160)
  * Long descriptions revised.
    (closes: #556606)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 29 Nov 2009 08:46:41 +0100

shapelib (1.2.10-3) unstable; urgency=low

  * closing fixed NMU bug
    (closes: Bug#308238)
  * Updated Standards-Version
  * added watch file

 -- Noèl Köthe <noel@debian.org>  Fri, 08 Apr 2005 10:51:19 +0200

shapelib (1.2.10-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bug fix: "libshp1: Segfault when freeing a buffer in DBFClose().",
    thanks to M Joonas Pihlaja (Closes: #308238).
  * Change section of libshp-dev to libdevel to match override

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 16 May 2005 23:02:24 +0200

shapelib (1.2.10-2) unstable; urgency=low

  * added dbfmtsafe.patch from M Joonas Pihlaja <jpihlaja cc.helsinki.fi>
    Thanks alot Joonas!
  * added manpages from M Joonas Pihlaja <jpihlaja cc.helsinki.fi>
    Thanks for your work Joonas!
    (closes: Bug#148037)

 -- Noèl Köthe <noel@debian.org>  Fri, 08 Apr 2005 10:51:19 +0200

shapelib (1.2.10-1) unstable; urgency=low

  * new upstream release 
  * upstream fixed crashs when there's no .shx file
    (closes: Bug#219703)
  * updated shapelib homepage URL in control and copyright
  * updated my name to correct spelling
  * updated Standards-Version
  * added /usr/bin/shprewind to the package

 -- Noèl Köthe <noel@debian.org>  Fri, 09 Apr 2004 16:27:05 +0200

shapelib (1.2.9-3) unstable; urgency=low

  * corrected description
    (closes: Bug#163766)

 -- Noel Koethe <noel@debian.org>  Mon, 14 Oct 2002 20:02:00 +0200

shapelib (1.2.9-2) unstable; urgency=low

  * corrected libary dependency (shapelib1->libshp1)

 -- Noel Koethe <noel@debian.org>  Sun, 18 Aug 2002 16:33:00 +0200

shapelib (1.2.9-1) unstable; urgency=low

  * Initial Release.
    (Closes: Bug#146385)

 -- Noel Koethe <noel@debian.org>  Thu,  9 May 2002 13:34:01 +0200
