=== debian/control ===
Source: shapelib
Priority: optional
Section: libs
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 9), libtool
Standards-Version: 3.9.3
Homepage: http://shapelib.maptools.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/shapelib.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/shapelib.git

Package: shapelib
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Library for reading and writing ArcView Shapefiles - tools
 The Shapefile format is a working and interchange format promoted by
 ESRI for simple vector data with attributes. It is apparently the only
 file format that can be edited in ARCView 2/3, and can also be exported
 and imported in Arc/Info.
 .
 This package contains a useful set of tools to manage shapefiles.

Package: libshp-dev
Section: libdevel
Architecture: any
Depends: libshp1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Library for reading and writing ArcView Shapefiles - development files
 The Shapefile format is a working and interchange format promoted by
 ESRI for simple vector data with attributes. It is apparently the only
 file format that can be edited in ARCView 2/3, and can also be exported
 and imported in Arc/Info.
 .
 This package includes the development files.

Package: libshp1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Library for reading and writing ArcView Shapefiles
 The Shapefile format is a working and interchange format promoted by
 ESRI for simple vector data with attributes. It is apparently the only
 file format that can be edited in ARCView 2/3, and can also be exported
 and imported in Arc/Info.
 .
 This package includes the shared library.
