=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_test:

override_dh_auto_build:
	mv shprewind shprewind.bak
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	mv shprewind.bak shprewind || true

override_dh_auto_install:
        # have to copy the files by hand.:(
	mkdir -p debian/tmp/usr/bin/
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir debian/tmp/usr/include/
	cp dbfadd dbfcreate dbfdump shpadd shpcreate shpdump shprewind \
	shptest debian/tmp/usr/bin/
	cp .libs/libshp.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp .libs/libshp.so.1.0.1 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	ln -s libshp.so.1.0.1 libshp.so
	ln -s libshp.so.1.0.1 libshp.so.1
	mv libshp.so* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp shapefil.h debian/tmp/usr/include/
