=== debian/watch ===
version=3
http://dl.maptools.org/dl/shapelib/ shapelib-([\d\.]+)\.tar\.gz
