## shapelib 1.3.0

=== debian/changelog ===
shapelib (1.3.0-5) unstable; urgency=medium

  [ Johan Van de Wauw ]
  * Add man pages for dbfcat, dbfinfo, shpcat, shpcentrd, shpdxf, shpfix,
    shpinfo & shpproj.

  [ Bas Couwenberg ]
  * Update my email to @debian.org address.
  * Add upstream metadata.
  * Update watch file with sepwatch changes. 
  * Add common version mangling in watch file.
  * Merge man pages from 0001-Add-manpages.patch with man pages from Johan.
  * Add patch to fix 'useful' typo.
  * Add patch to use local CSS to fix privacy-breach-generic lintian issue.
  * Install all HTML documentation.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Aug 2015 12:50:28 +0200

shapelib (1.3.0-4) unstable; urgency=medium

  [ Arto Jantunen ]
  * Add build-dependency on libtool-bin. (closes: #761786)

  [ Johan Van de Wauw ]
  * Use dpkg buildflags in contrib (fixes hardening warnings).

  [ Bas Couwenberg ]
  * Add myself to Uploaders.
  * Add gbp.conf to use pristine-tar by default.
  * Update copyright file.
  * Add symbols file for libshp.
  * Bump Standards-Version to 3.9.6, changes: symbols & copyright.
  * Add doc-base control file.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 14 Oct 2014 22:01:30 +0200

shapelib (1.3.0-3) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Fix FTBFS on powerpc by prefixing _{BIG,LITTLE}_ENDIAN with
    LIBSHAPE. (Names starting with an underscore are reserved.).
    (Closes: #742148)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 26 Mar 2014 11:49:19 +0100

shapelib (1.3.0-2) unstable; urgency=medium

  * Moved to DEP5 copyright format and annotated double licensing,
    previously missing. (Closes: #742039)
  * Revised long description in debian/control.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 18 Mar 2014 21:41:10 +0100

shapelib (1.3.0-1) unstable; urgency=medium

  [ Arto Jantunen ]
  * Imported Upstream version 1.3.0 (Closes: #526984)
  * Remove patch 0002 (Thread safety fixes), no longer needed
  * Update build system patches (0003-0005) to match new Makefile
  * debian/shapelib.docs: update for new file locations
  * debian/rules: update for new version
  * Bump SONAME due to API and ABI changes in 1.3.0

  [ Francesco Paolo Lovergine ]
  * Annotated latest changes by Arto into debian/changelog.
  * Updated debian/watch file to current repository.
  * Policy bumped to 3.9.5, no changes required.
  * Now installing also contributed tools (Closes: #539341).
  * Added a new b-d on libproj-dev.

 -- Arto Jantunen <viiru@debian.org>  Sat, 15 Mar 2014 16:55:43 +0100
