=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CONTRIB = shpdxf shpproj dbfinfo shpcentrd shpdata shpwkb dbfinfo dbfcat shpinfo shpfix shpcat Shape_PointInPoly shpsort

%:
	dh $@

override_dh_auto_test:

override_dh_auto_build:
	dh_auto_build
	make -C $(CURDIR)/contrib 
	ronn -r --manual=shplib debian/man/*.md

override_dh_auto_clean:
	dh_auto_clean
	make -C $(CURDIR)/contrib clean
	rm -f contrib/Shape_PointInPoly contrib/shpsort
	rm -f debian/man/*.1

override_dh_auto_install:
	mkdir -p debian/tmp/usr/bin/
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir debian/tmp/usr/include/
	make bin_install PREFIX=debian/tmp/usr
	cp .libs/libshp.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp .libs/libshp.so.2.0.0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	ln -s libshp.so.2.0.0 libshp.so
	ln -s libshp.so.2.0.0 libshp.so.2
	mv libshp.so* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp shapefil.h debian/tmp/usr/include/
	for prg in $(CONTRIB); do \
		cp contrib/$$prg debian/tmp/usr/bin/. ; \
	done
