## shapelib 1.4.0

=== debian/changelog ===
shapelib (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Dec 2016 15:29:06 +0100

shapelib (1.4.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Force lowercase RC in watch file.
  * Update copyright file, changes:
    - Add copyright holders
    - Add license & copyright for CMakeLists.txt & sbnsearch.c
    - Drop license & copyright for csv2shp.c & my_nan.h
    - Rename MIT license shortname to Expat
  * Use dh-autoreconf for retooling.
  * Add patch to re-bump SONAME (see 1.3.0-1).
  * Override dh_makeshlibs to strip Debian revision from symbols version.
  * Update symbols for 1.4.0~rc1.
  * Override dh_install to use --list-missing.
  * Include pkgconfig script in -dev package.
  * Explicitly remove .la files.
  * Drop obsolete build system patches.
  * Use dh_auto_* tools instead of custom commands.
  * Add manpage for shputils.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Dec 2016 21:37:21 +0100

shapelib (1.3.0-8) unstable; urgency=medium

  * Set timestamp in manpages generated by ronn to changelog date.
  * Add manpages for Shape_PointInPoly & shp{data,sort,treedump,wkb}.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 May 2016 20:07:41 +0200

shapelib (1.3.0-7) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 18:57:14 +0200

shapelib (1.3.0-6) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Enable parallel builds.
  * Update spelling patch to fix additional issues.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Mar 2016 17:46:33 +0100
