=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               libtool,
-               libtool-bin,
+               dh-autoreconf,
                libproj-dev,
                ruby-ronn
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/shapelib.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/shapelib.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/shapelib.git
 Homepage: http://shapelib.maptools.org/
 
 Package: shapelib
