=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

BUILD_DATE := $(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%Y-%m-%d" -f -)

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

%:
	dh $@ --with autoreconf --parallel

override_dh_clean:
	dh_clean debian/man/*.1

override_dh_auto_build:
	dh_auto_build
	ronn -r --date="$(BUILD_DATE)" --manual=shplib debian/man/*.md

override_dh_auto_install:
	dh_auto_install

	# Don't install .la files
	$(RM) debian/*/usr/lib/*/*.la

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(UPSTREAM_VERSION)
