=== debian/changelog ===
shapelib (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0, no changes.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 Sep 2017 20:46:59 +0200
