=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-autoreconf,
                libproj-dev,
                ruby-ronn
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/shapelib.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/shapelib.git
 Homepage: http://shapelib.maptools.org/
