## shapelib 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -111,7 +111,7 @@
 endif(UNIX)
 
 set(shp_SOVERSION 1)
-set(shp_VERSION 1.4.1)
+set(shp_VERSION 1.5.0)
 set_target_properties(shp
   PROPERTIES 
   SOVERSION ${shp_SOVERSION}
