=== debian/changelog ===
shapelib (1.5.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Don't rename manpages, not needed for ruby-ronn 0.9.0.
    (closes: #956280)
  * Drop manpages for removed executables.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Apr 2020 16:58:46 +0200

shapelib (1.5.0-1) unstable; urgency=medium

  * Update upstream metadata for move to GitHub.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 13:18:45 +0200

shapelib (1.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.
  * Add Build-Depends-Package field to symbols file.
  * Drop libproj-dev build dependency.
  * Rename manpages to replace .md.1 suffix with .1.
  * Drop contrib/shpproj.c from copyright file, removed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 28 Feb 2019 17:30:55 +0100

shapelib (1.4.1-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 19:31:41 +0200

shapelib (1.4.1-2) unstable; urgency=medium

  * Strip trailing whitespace from changelog, control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.5, no changes.
  * Update watch file to use HTTPS.
  * Rename PROJ.4 to PROJ.
  * Update Vcs-* URLs for Salsa.
  * Update ronn build dependency.
    (closes: #903068)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Jul 2018 22:44:10 +0200
