=== debian/control ===
--- 
+++ 
@@ -4,13 +4,11 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               libproj-dev,
-               ruby-ronn
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/shapelib.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/shapelib.git
+Build-Depends: debhelper (>= 10~),
+               ronn (>= 0.9.0)
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/shapelib
+Vcs-Git: https://salsa.debian.org/debian-gis-team/shapelib.git
 Homepage: http://shapelib.maptools.org/
 
 Package: shapelib
@@ -54,4 +52,3 @@
  and imported in ArcGis.
  .
  This package includes the shared library.
-
