=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 override_dh_clean:
 	dh_clean debian/man/*.1
@@ -30,4 +30,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(UPSTREAM_VERSION)
-
