## shapelib 1.6.0

=== debian/changelog ===
shapelib (1.6.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 27 Dec 2023 21:21:20 +0100

shapelib (1.6.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Dec 2023 16:35:25 +0100

shapelib (1.6.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Remove generated files in clean target.
    (closes: #1047900)
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Drop double free patch, included upstream.
  * Update symbols for 1.6.0~rc1.
  * Add csv2shp manpage.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Dec 2023 21:28:24 +0100

shapelib (1.5.0-3) unstable; urgency=high

  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.1, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Add upstream patch to fix CVE-2022-0699.
    (closes: #1022557)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Oct 2022 05:38:54 +0200
