=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 13),
                ronn (>= 0.9.0)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/shapelib
 Vcs-Git: https://salsa.debian.org/debian-gis-team/shapelib.git
 Homepage: http://shapelib.maptools.org/
+Rules-Requires-Root: no
 
 Package: shapelib
 Architecture: any
@@ -29,7 +30,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libshp2 (= ${binary:Version}),
+Depends: libshp4 (= ${binary:Version}),
          ${misc:Depends}
 Description: Library for reading and writing ESRI Shapefiles - development files
  The Shapefile format is a working and interchange format promoted by
@@ -39,7 +40,7 @@
  .
  This package includes the development files.
 
-Package: libshp2
+Package: libshp4
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
