=== debian/changelog ===
shapelib (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Aug 2024 15:02:35 +0200

shapelib (1.6.1~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Aug 2024 11:55:00 +0200

shapelib (1.6.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.
  * Update symbols for 1.6.1~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Aug 2024 15:19:41 +0200
