=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                ronn (>= 0.9.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/shapelib
 Vcs-Git: https://salsa.debian.org/debian-gis-team/shapelib.git
 Homepage: http://shapelib.maptools.org/
